import { Length } from './index'
import {Constants} from './constants'

describe('Length', () => {
  it("should 1 'foot' equals 1 'foot'", () => {
    const length = new Length(1, Constants.FOOT)

    expect(length.getVal()).toEqual(1)
    expect(length.getUint()).toEqual(Constants.FOOT)
  })

  it("should 1 'foot' equals 12 inches", () => {
    const result = new Length(1, Constants.FOOT).parseTo(Constants.INCH)

    expect(result.getVal()).toEqual(12)
    expect(result.getUint()).toEqual(Constants.INCH)
  })

  it("should 3 feet equals 1 yard", () => {
    const result = new Length(3, Constants.FOOT).parseTo(Constants.YARD)

    expect(result.getVal()).toEqual(1)
    expect(result.getUint()).toEqual(Constants.YARD)
  })

  it("should 1 Constants.YARD equals 3 feet", () => {
    const result = new Length(1, Constants.YARD).parseTo(Constants.FOOT)

    expect(result.getVal()).toEqual(3)
    expect(result.getUint()).toEqual(Constants.FOOT)
  })

  it("should 1 Constants.YARD equals 36 inches", () => {
    const result = new Length(1, Constants.YARD).parseTo(Constants.INCH)

    expect(result.getVal()).toEqual(36)
    expect(result.getUint()).toEqual(Constants.INCH)
  })

  it("should 1 Constants.YARD equals 1 Constants.YARD", () => {
    const result = new Length(1, Constants.YARD).parseTo(Constants.YARD)

    expect(result.getVal()).toEqual(1)
    expect(result.getUint()).toEqual(Constants.YARD)
  })

  it("should 12 inches equals 1 'foot'", () => {
    const result = new Length(12, Constants.INCH).parseTo(Constants.FOOT)

    expect(result.getVal()).toEqual(1)
    expect(result.getUint()).toEqual(Constants.FOOT)
  })

  it("should 36 inches equals 1 yard", () => {
    const result = new Length(36, Constants.INCH).parseTo(Constants.YARD)

    expect(result.getVal()).toEqual(1)
    expect(result.getUint()).toEqual(Constants.YARD)
  })

  it("should 1 inch equals 1 inch", () => {
    const result = new Length(1, Constants.INCH).parseTo(Constants.INCH)

    expect(result.getVal()).toEqual(1)
    expect(result.getUint()).toEqual(Constants.INCH)
  })
})
